<?php
function civilconstruction_header_settings( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Header Settings Panel
	=========================================*/
	$wp_customize->add_panel( 
		'header_section', 
		array(
			'priority'      => 2,
			'capability'    => 'edit_theme_options',
			'title'			=> __('Header', 'civil-construction'),
		) 
	);

	
	/*=========================================
	civil Construction Site Identity
	=========================================*/
	$wp_customize->add_section(
        'title_tagline',
        array(
        	'priority'      => 1,
            'title' 		=> __('Site Identity','civil-construction'),
			'panel'  		=> 'header_section',
		)
    );


	
	/*=========================================
	Header Navigation
	=========================================*/	
	$wp_customize->add_section(
        'hdr_navigation',
        array(
        	'priority'      => 3,
            'title' 		=> __('Header Navigation','civil-construction'),
			'panel'  		=> 'header_section',
		)
    );

    // Cart
	$wp_customize->add_setting(
		'hdr_nav_cart'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'civilconstruction_sanitize_text',
		)
	);

	$wp_customize->add_control(
	'hdr_nav_cart',
		array(
			'type' => 'hidden',
			'label' => __('Cart','civil-construction'),
			'section' => 'hdr_navigation',
			'priority' => 2,
		)
	);

	// hide/show
	$wp_customize->add_setting( 
		'hide_show_cart' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'civilconstruction_sanitize_checkbox',
		) 
	);
	
	$wp_customize->add_control(
	'hide_show_cart', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'civil-construction' ),
			'section'     => 'hdr_navigation',
			'type'        => 'checkbox',
			'priority' => 2,
		) 
	);
	
	// Header Search
	$wp_customize->add_setting(
		'hdr_nav_search_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'civilconstruction_sanitize_text',
		)
	);

	$wp_customize->add_control(
	'hdr_nav_search_head',
		array(
			'type' => 'hidden',
			'label' => __('Search','civil-construction'),
			'section' => 'hdr_navigation',
			'priority'  => 3,
		)
	);	
	
	// hide/show
	$wp_customize->add_setting( 
		'hs_nav_search' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'civilconstruction_sanitize_checkbox',
		) 
	);
	
	$wp_customize->add_control(
	'hs_nav_search', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'civil-construction' ),
			'section'     => 'hdr_navigation',
			'type'        => 'checkbox',
			'priority' => 3,
		) 
	);
	
	
	// Header Toggle
	$wp_customize->add_setting(
		'hdr_nav_toggle_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'civilconstruction_sanitize_text',
		)
	);

	$wp_customize->add_control(
	'hdr_nav_toggle_head',
		array(
			'type' => 'hidden',
			'label' => __('Toggle','civil-construction'),
			'section' => 'hdr_navigation',
			'priority'  => 6,
		)
	);	
	
	// hide/show
	$wp_customize->add_setting( 
		'hs_nav_toggle' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'civilconstruction_sanitize_checkbox',
		) 
	);
	
	$wp_customize->add_control(
	'hs_nav_toggle', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'civil-construction' ),
			'section'     => 'hdr_navigation',
			'type'        => 'checkbox',
			'priority' => 7,
		) 
	);
	
	// Title // 
	$wp_customize->add_setting(
    	'civilconstruction_hdr_toggle_ttl',
    	array(
			'sanitize_callback' => 'civilconstruction_sanitize_html',
			'transport'         => $selective_refresh,
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'civilconstruction_hdr_toggle_ttl',
		array(
		    'label'   		=> __('Title','civil-construction'),
		    'section' 		=> 'hdr_navigation',
			'type'		 =>	'text',
			'priority' => 8,
		)  
	);	
	
	
	// content // 
	$wp_customize->add_setting(
    	'civilconstruction_hdr_toggle_content',
    	array(
			'sanitize_callback' => 'civilconstruction_sanitize_html',
			'transport'         => $selective_refresh,
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'civilconstruction_hdr_toggle_content',
		array(
		    'label'   		=> __('Title','civil-construction'),
		    'section' 		=> 'hdr_navigation',
			'type'		 =>	'textarea',
			'priority' => 8,
		)  
	);	
	
	
	/*=========================================
	Sticky Header
	=========================================*/	
	$wp_customize->add_section(
        'sticky_header_set',
        array(
        	'priority'      => 4,
            'title' 		=> __('Sticky Header','civil-construction'),
			'panel'  		=> 'header_section',
		)
    );
	
	// Heading
	$wp_customize->add_setting(
		'sticky_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'civilconstruction_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'sticky_head',
		array(
			'type' => 'hidden',
			'label' => __('Sticky Header','civil-construction'),
			'section' => 'sticky_header_set',
		)
	);
	$wp_customize->add_setting( 
		'hide_show_sticky' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'civilconstruction_sanitize_checkbox',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'hide_show_sticky', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'civil-construction' ),
			'section'     => 'sticky_header_set',
			'type'        => 'checkbox'
		) 
	);		
	

	/*=========================================
	civil Construction Top header
	=========================================*/
	$wp_customize->add_section(
        'top_header',
        array(
        	'priority'      => 5,
            'title' 		=> __('Top Header','civil-construction'),
			'panel'  		=> 'header_section',
		)
    );	


	
	
	// topheader txt
	$topheadertxt = esc_html__('Our clients are always comletely satisfied with our services', 'civil-construction' );
	$wp_customize->add_setting(
    	'topheader',
    	array(
			'default' => $topheadertxt,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'topheader',
		array(
		    'label'   		=> __('Title','civil-construction'),
		    'section'		=> 'top_header',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);		



	// topheader phone number icon color
	$topheaderphniconcolor = esc_html__('#ffffff', 'houdabusiness' );
	$wp_customize->add_setting(
    	'topheader_phniconcolor',
    	array(
			'default' => $topheaderphniconcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'topheader_phniconcolor',
		array(
		    'label'   		=> __('Phone Number Icon Color','houdabusiness'),
		    'section'		=> 'top_header',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);	


	
	// topheader Phone Number
	$topheaderphn = esc_html__('+386 40 111 5555', 'civil-construction' );
	$wp_customize->add_setting(
    	'topheader_phn',
    	array(
			'default' => $topheaderphn,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'topheader_phn',
		array(
		    'label'   		=> __('Phone Number','civil-construction'),
		    'section'		=> 'top_header',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);		


	// topheader phone number icon
	$topheaderphnicon = esc_html__('fa fa-phone', 'civil-construction' );
	$wp_customize->add_setting(
    	'topheader_phnicon',
    	array(
			'default' => $topheaderphnicon,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'topheader_phnicon',
		array(
		    'label'   		=> __('Phone Number Icon','civil-construction'),
		    'section'		=> 'top_header',
			'type' 			=> 'icon',
			'transport'         => $selective_refresh,
		)  
	);		



	// topheader mail icon color
	$topheadermailiconcolor = esc_html__('#ffffff', 'houdabusiness' );
	$wp_customize->add_setting(
    	'topheader_mailiconcolor',
    	array(
			'default' => $topheadermailiconcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 8,
		)
	);	

	$wp_customize->add_control( 
		'topheader_mailiconcolor',
		array(
		    'label'   		=> __('Mail Icon Color','houdabusiness'),
		    'section'		=> 'top_header',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);	

	// topheader Email
	$topheaderphn = esc_html__('info@yourdomain.com', 'civil-construction' );
	$wp_customize->add_setting(
    	'topheader_email',
    	array(
			'default' => $topheaderphn,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'topheader_email',
		array(
		    'label'   		=> __('Email','civil-construction'),
		    'section'		=> 'top_header',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);		


	// topheader mail icon
	$topheadermailicon = esc_html__('fa fa-envelope-o', 'civil-construction' );
	$wp_customize->add_setting(
    	'topheader_mailicon',
    	array(
			'default' => $topheadermailicon,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 8,
		)
	);	

	$wp_customize->add_control( 
		'topheader_mailicon',
		array(
		    'label'   		=> __('Mail Icon','civil-construction'),
		    'section'		=> 'top_header',
			'type' 			=> 'icon',
			'transport'         => $selective_refresh,
		)  
	);		


	

}
add_action( 'customize_register', 'civilconstruction_header_settings' );





